Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 608421 - Review Request: perl-Test-Without-Module - Test fallback behaviour in absence of modules
Review Request: perl-Test-Without-Module - Test fallback behaviour in absence...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 09:23 EDT by Emmanuel Seyman
Modified: 2010-08-27 15:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-Without-Module-0.17-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2010-06-27 09:23:53 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Test-Without-Module/perl-Test-Without-Module.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Test-Without-Module/perl-Test-Without-Module-0.17-1.fc13.src.rpm
Description:
This module allows you to deliberately hide modules from a program even
though they are installed. This is mostly useful for testing modules that
have a fallback when a certain dependency module is not installed.
Comment 1 Iain Arnell 2010-07-15 00:01:56 EDT
+ source files match upstream.  
    4480ece707cb6bbedaae8fbe41320927  Test-Without-Module-0.17.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
- summary has a spelling error (Fedora requires American spelling)
    behaviour -> behavior

+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2321044

+ package installs properly.
- rpmlint has complaints:
    perl-Test-Without-Module.noarch: I: checking
    perl-Test-Without-Module.noarch: W: spelling-error Summary(en_US) behaviour -> behavior, behave, behalves
    perl-Test-Without-Module.noarch: I: checking-url http://search.cpan.org/dist/Test-Without-Module/ (timeout 10 seconds)
    perl-Test-Without-Module.noarch: E: script-without-shebang /usr/share/perl5/Test/Without/Module.pm
    perl-Test-Without-Module.noarch: W: spurious-executable-perm /usr/share/doc/perl-Test-Without-Module-0.17/README
    perl-Test-Without-Module.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/perl-Test-Without-Module-0.17/README
    perl-Test-Without-Module.noarch: W: spurious-executable-perm /usr/share/doc/perl-Test-Without-Module-0.17/MANIFEST.skip
    perl-Test-Without-Module.noarch: W: spurious-executable-perm /usr/share/doc/perl-Test-Without-Module-0.17/Changes
    perl-Test-Without-Module.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/perl-Test-Without-Module-0.17/Changes
    perl-Test-Without-Module.src: I: checking
    perl-Test-Without-Module.src: W: spelling-error Summary(en_US) behaviour -> behavior, behave, behalves
    perl-Test-Without-Module.src: I: checking-url http://search.cpan.org/dist/Test-Without-Module/ (timeout 10 seconds)
    perl-Test-Without-Module.src: I: checking-url http://www.cpan.org/modules/by-module/Test/Test-Without-Module-0.17.tar.gz (timeout 10 seconds)
    2 packages and 0 specfiles checked; 3 errors, 5 warnings.

+ final provides and requires are sane:
    perl(Test::Without::Module) = 0.17
    perl-Test-Without-Module = 0.17-1.fc14
=
    perl(Carp)  
    perl(:MODULE_COMPAT_5.12.1)  
    perl(strict)  
    perl(vars)  

+ %check is present and all tests pass.
    + make test
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
    t/01-api.t ........................ ok
    t/02-block-use-module.t ........... ok
    t/03-block-require-module.t ....... ok
    t/04-import-export.t .............. ok
    t/99-manifest.t ................... ok
    t/99-pod.t ........................ ok
    t/99-todo.t ....................... ok
    t/99-unix-text.t .................. ok
    # Checking for $VERSION = '0.17';
    t/99-versions.t ................... ok
    t/embedded-Test-Without-Module.t .. ok
    All tests successful.
    Files=10, Tests=27,  0 wallclock secs ( 0.04 usr  0.02 sys +  0.30 cusr  0.03 csys =  0.39 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
- file permissions are appropriate.
    every file has executable bit set

+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


rpmlint has a bunch of complaints that all need to be addressed. Basically, remove executable permissions, dos2unix the docs, and "fix" the spelling of "behaviour".
Comment 2 Emmanuel Seyman 2010-07-15 02:09:04 EDT
(In reply to comment #1)
>
> rpmlint has a bunch of complaints that all need to be addressed. Basically,
> remove executable permissions, dos2unix the docs, and "fix" the spelling of
> "behaviour".    

Oups. Fixed.

Spec URL:
http://people.parinux.org/~seyman/fedora/perl-Test-Without-Module/perl-Test-Without-Module.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-Test-Without-Module/perl-Test-Without-Module-0.17-2.fc13.src.rpm
Comment 3 Iain Arnell 2010-07-15 02:27:42 EDT
That's better. APPROVED.
Comment 4 Emmanuel Seyman 2010-07-17 04:52:53 EDT
Thank you, Ian. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Test-Without-Module
Short Description: Test fallback behaviour in absence of modules
Owners: eseyman
Branches: F-12 F-13
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-07-19 00:45:28 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-07-19 04:04:00 EDT
perl-Test-Without-Module-0.17-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Test-Without-Module-0.17-2.fc13
Comment 7 Fedora Update System 2010-07-19 04:04:05 EDT
perl-Test-Without-Module-0.17-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Test-Without-Module-0.17-2.fc12
Comment 8 Fedora Update System 2010-08-02 20:56:07 EDT
perl-Test-Without-Module-0.17-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-08-02 21:13:28 EDT
perl-Test-Without-Module-0.17-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Emmanuel Seyman 2010-08-26 17:50:24 EDT
Package Change Request
======================
Package Name: perl-Test-Without-Module
New Branches: el6
Owners: eseyman tremble
InitialCC: perl-sig
Comment 11 Kevin Fenzi 2010-08-27 15:10:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.